aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.DeleteGroupPolicy

Synopsis

- data DeleteGroupPolicy = DeleteGroupPolicy {
  - dgpPolicyName :: Text
  - dgpGroupName :: Text
  }
- data DeleteGroupPolicyResponse = DeleteGroupPolicyResponse

# Documentation

data DeleteGroupPolicy Source #

Deletes the specified policy associated with the specified group.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_DeleteGroupPolicy.html

Constructors

DeleteGroupPolicy |

Fields

- dgpPolicyName :: Text

  Name of the policy to be deleted.

- dgpGroupName :: Text

  Name of the group with whom the policy is associated.

#### Instances

Instances details

SignQuery DeleteGroupPolicy Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroupPolicy

Associated Types

type ServiceConfiguration DeleteGroupPolicy |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type ServiceConfiguration DeleteGroupPolicy = IamConfiguration

Methods

signQuery :: DeleteGroupPolicy -> ServiceConfiguration DeleteGroupPolicy queryType -> SignatureData -> SignedQuery Source #

Show DeleteGroupPolicy Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy Methods showsPrec :: Int -> DeleteGroupPolicy -> ShowS Source # show :: DeleteGroupPolicy -> String Source # showList :: [DeleteGroupPolicy] -> ShowS Source #
Eq DeleteGroupPolicy Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy Methods (==) :: DeleteGroupPolicy -> DeleteGroupPolicy -> Bool Source # (/=) :: DeleteGroupPolicy -> DeleteGroupPolicy -> Bool Source #
Ord DeleteGroupPolicy Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroupPolicy

Methods

compare :: DeleteGroupPolicy -> DeleteGroupPolicy -> Ordering Source #

(<) :: DeleteGroupPolicy -> DeleteGroupPolicy -> Bool Source #

(<=) :: DeleteGroupPolicy -> DeleteGroupPolicy -> Bool Source #

(>) :: DeleteGroupPolicy -> DeleteGroupPolicy -> Bool Source #

(>=) :: DeleteGroupPolicy -> DeleteGroupPolicy -> Bool Source #

max :: DeleteGroupPolicy -> DeleteGroupPolicy -> DeleteGroupPolicy Source #

min :: DeleteGroupPolicy -> DeleteGroupPolicy -> DeleteGroupPolicy Source #

ResponseConsumer DeleteGroupPolicy DeleteGroupPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroupPolicy

Associated Types

type ResponseMetadata DeleteGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type ResponseMetadata DeleteGroupPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteGroupPolicy -> IORef (ResponseMetadata DeleteGroupPolicyResponse) -> HTTPResponseConsumer DeleteGroupPolicyResponse Source #

Transaction DeleteGroupPolicy DeleteGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy
type ServiceConfiguration DeleteGroupPolicy Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type ServiceConfiguration DeleteGroupPolicy = IamConfiguration

data DeleteGroupPolicyResponse Source #

Constructors

DeleteGroupPolicyResponse |

#### Instances

Instances details

AsMemoryResponse DeleteGroupPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroupPolicy

Associated Types

type MemoryResponse DeleteGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type MemoryResponse DeleteGroupPolicyResponse = DeleteGroupPolicyResponse

Methods

loadToMemory :: DeleteGroupPolicyResponse -> ResourceT IO (MemoryResponse DeleteGroupPolicyResponse) Source #

Show DeleteGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy Methods showsPrec :: Int -> DeleteGroupPolicyResponse -> ShowS Source # show :: DeleteGroupPolicyResponse -> String Source # showList :: [DeleteGroupPolicyResponse] -> ShowS Source #
Eq DeleteGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy Methods (==) :: DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse -> Bool Source # (/=) :: DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse -> Bool Source #
Ord DeleteGroupPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroupPolicy

Methods

compare :: DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse -> Ordering Source #

(<) :: DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse -> Bool Source #

(<=) :: DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse -> Bool Source #

(>) :: DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse -> Bool Source #

(>=) :: DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse -> Bool Source #

max :: DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse Source #

min :: DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse -> DeleteGroupPolicyResponse Source #

ResponseConsumer DeleteGroupPolicy DeleteGroupPolicyResponse Source # |

Instance details

Defined in Aws.Iam.Commands.DeleteGroupPolicy

Associated Types

type ResponseMetadata DeleteGroupPolicyResponse |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type ResponseMetadata DeleteGroupPolicyResponse = IamMetadata

Methods

responseConsumer :: Request -> DeleteGroupPolicy -> IORef (ResponseMetadata DeleteGroupPolicyResponse) -> HTTPResponseConsumer DeleteGroupPolicyResponse Source #

Transaction DeleteGroupPolicy DeleteGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy
type MemoryResponse DeleteGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type MemoryResponse DeleteGroupPolicyResponse = DeleteGroupPolicyResponse
type ResponseMetadata DeleteGroupPolicyResponse Source # |
Instance details Defined in Aws.Iam.Commands.DeleteGroupPolicy type ResponseMetadata DeleteGroupPolicyResponse = IamMetadata